summaryrefslogtreecommitdiff
path: root/libs/ode-0.16.1/tools
diff options
context:
space:
mode:
Diffstat (limited to 'libs/ode-0.16.1/tools')
-rw-r--r--libs/ode-0.16.1/tools/README.txt94
-rw-r--r--libs/ode-0.16.1/tools/msw-release.bat138
-rw-r--r--libs/ode-0.16.1/tools/ode_convex_export.py60
-rw-r--r--libs/ode-0.16.1/tools/src-release.sh117
4 files changed, 409 insertions, 0 deletions
diff --git a/libs/ode-0.16.1/tools/README.txt b/libs/ode-0.16.1/tools/README.txt
new file mode 100644
index 0000000..56019df
--- /dev/null
+++ b/libs/ode-0.16.1/tools/README.txt
@@ -0,0 +1,94 @@
+HOW TO MAKE A RELEASE
+
+Originally by Jason Perkins (starkos@industriousone.com)
+
+
+PREREQUISITES
+
+In order to build an OpenDE release you'll need:
+
+* A Windows system
+* A Posix-like system (Linux, Mac OS X, Cygwin)
+* Visual Studio 2003 or later (for C++ release)
+* Visual Studio 2005 or later (for .NET release)
+* Subversion (command line version)
+* 7zip (command line version)
+* Doxygen
+
+All command line binaries (svn, 7z, doxygen) must be available on
+the system search path.
+
+
+
+INSTRUCTIONS
+
+* Update the version numbers in configure.in
+
+ AC_INIT(ODE,0.9.0-rc1,ode@ode.org)
+ ODE_CURRENT=0
+ ODE_REVISION=9
+ ODE_AGE=0-rc1
+
+
+* Create a release branch in Subversion. Using TortoiseSVN:
+
+ Update working copy
+ Right-click working copy folder and choose Branch/Tag
+ To https://opende.svn.sourceforge.net/svnroot/branches/0.9.0-rc1
+ Enter log message "Branching for 0.9.0-rc1 release"
+ OK
+
+ Using the command line:
+
+ $ cd ode
+ $ svn update
+ $ svn copy . -m "Branching for..." https://opende.... (see above)
+
+
+* Run msw-release.bat from a Visual Studio command prompt to create
+ the Windows binary package. I've used VS2003 for all releases since
+ 0.5, but am thinking about switching up to VS2005. The format of
+ this command is:
+
+ > msw-release.bat 0.9.0-rc1
+
+ The version argument supplied to the script must match the name of
+ the release branch in Subversion.
+
+
+* Run dotnet-release.bat to create the .NET bindings package. This
+ script must be run from a Visual Studio 2005 (or later) command
+ prompt. The format of the command is:
+
+ > dotnet-release.bat 0.9.0-rc1
+
+ The version argument supplied to the script must match the name of
+ the release branch in Subversion.
+
+
+* Run src-release.sh to create the source package. This script must be
+ run from a Posix-like environment in order to prepare the configure
+ script. I've tried it under Linux, Mac OS X, and Windows with Cygwin.
+
+ $ ./src-release.sh 0.9.0-rc1
+
+ The version argument supplied to the script must match the name of
+ the release branch in Subversion.
+
+
+* Visit the project site on SourceForge (http://sf.net/projects/opende)
+ and create a new file release including all of the files.
+
+
+SANITY CHECKING
+
+A few optional, but recommeded, checks to make sure that everything
+worked properly.
+
+ The binaries exist in lib/
+
+ include/ode/config.h exists
+
+ configure script exists (if not, make sure autotools is installed)
+
+ docs exist in docs/ (if not, make sure doxygen is on the path)
diff --git a/libs/ode-0.16.1/tools/msw-release.bat b/libs/ode-0.16.1/tools/msw-release.bat
new file mode 100644
index 0000000..540ecce
--- /dev/null
+++ b/libs/ode-0.16.1/tools/msw-release.bat
@@ -0,0 +1,138 @@
+@echo off
+rem ***********************************************************
+rem * ODE Windows Binary Release Script
+rem * Originally written by Jason Perkins (starkos@gmail.com)
+rem *
+rem * See README.txt in this directory for complete release
+rem * instructions before running this script.
+rem *
+rem * Prerequisites:
+rem * Command-line svn installed on path
+rem * Command-line 7z (7zip) installed on path
+rem * Command-line doxygen installed on path
+rem * Run from Visual Studio 2003 command prompt
+rem ***********************************************************
+
+rem * Check arguments
+if "%1"=="" goto show_usage
+
+
+rem ***********************************************************
+rem * Pre-build checklist
+rem ***********************************************************
+
+echo.
+echo STARTING PREBUILD CHECKLIST, PRESS ^^C TO ABORT.
+echo.
+echo Are you running at the VS2003 command prompt?
+pause
+echo.
+echo Is the version number "%1" correct?
+pause
+echo.
+echo Does the release branch "%1" exist in SVN?
+pause
+echo.
+echo Are 'svn', '7z', and 'doxygen' on the path?
+pause
+echo.
+echo Okay, ready to build the Windows binary packages for version %1!
+pause
+
+
+rem ***********************************************************
+rem * Retrieve source code
+rem ***********************************************************
+
+echo.
+echo RETRIEVING SOURCE CODE FROM REPOSITORY...
+echo.
+
+svn export https://opende.svn.sourceforge.net/svnroot/opende/branches/%1 ode-%1
+
+
+
+rem ***********************************************************
+rem * Prepare source code
+rem ***********************************************************
+
+echo.
+echo PREPARING SOURCE TREE...
+echo.
+
+cd ode-%1
+copy build\config-default.h include\ode\config.h
+
+cd ode\doc
+doxygen
+
+cd ..\..\..
+
+
+rem ***********************************************************
+rem * Build the binaries
+rem ***********************************************************
+
+echo.
+echo BUILDING RELEASE BINARIES (this will take a while)...
+echo.
+
+cd ode-%1\build\vs2003
+devenv.exe ode.sln /build DebugLib /project ode
+devenv.exe ode.sln /build DebugDLL /project ode
+devenv.exe ode.sln /build ReleaseLib /project ode
+devenv.exe ode.sln /build ReleaseDLL /project ode
+
+
+rem ***********************************************************
+rem * Package things up
+rem ***********************************************************
+
+cd ..\..
+move lib\ReleaseDLL\ode.lib lib\ReleaseDLL\ode-imports.lib
+
+cd ..
+7z a -tzip ode-win32-%1.zip ode-%1\*.txt ode-%1\include\ode\*.h ode-%1\lib\* ode-%1\docs\*
+
+
+rem ***********************************************************
+rem * Clean up
+rem ***********************************************************
+
+echo.
+echo CLEANING UP...
+echo.
+
+rmdir /s /q ode-%1
+
+
+rem ***********************************************************
+rem * Upload to SF.net
+rem ***********************************************************
+
+echo.
+echo Ready to upload package to SourceForce, press ^^C to abort.
+pause
+
+echo "anonymous" > ftp.txt
+echo "starkos" >> ftp.txt
+echo "cd incoming" >> ftp.txt
+echo "bin" >> ftp.txt
+echo "put ode-win32-%1.zip" >> ftp.txt
+echo "quit" >> ftp.txt
+
+ftp -s:ftp.txt upload.sourceforge.net
+erase ftp.txt
+
+goto done
+
+
+rem ***********************************************************
+rem * Error messages
+rem ***********************************************************
+
+:show_usage
+echo Usage: msw_release.bat version_number
+goto done
+
+:done
diff --git a/libs/ode-0.16.1/tools/ode_convex_export.py b/libs/ode-0.16.1/tools/ode_convex_export.py
new file mode 100644
index 0000000..17375b5
--- /dev/null
+++ b/libs/ode-0.16.1/tools/ode_convex_export.py
@@ -0,0 +1,60 @@
+#!BPY
+"""
+Name: 'ODE Convex...'
+Blender: 244
+Group: 'Export'
+Tooltip: 'Export to Open Dynamics.'
+"""
+__author__ = "Rodrigo Hernandez"
+__url__ = ("http://www.ode.org")
+__version__ = "0.1"
+__bpydoc__ = """\
+ODE Convex Exporter
+This script Exports a Blender scene as a series of ODE Convex Geom data stored in a C header file.
+"""
+import Blender
+import bpy
+
+def WriteMesh(file,ob):
+ mesh = ob.getData(mesh=1)
+ # Write Point Count
+ file.write("unsigned int %s_pointcount = %d;\n" % (ob.getName(),len(mesh.verts)))
+ # Write Plane Count
+ file.write("unsigned int %s_planecount = %d;\n" % (ob.getName(),len(mesh.faces)))
+ # Write Points
+ file.write("dReal %s_points[%d]={\n" % (ob.getName(),(len(mesh.verts)*3)))
+ for vert in mesh.verts:
+ if vert.index==(len(mesh.verts)-1):
+ file.write("%f,%f,%f\n};\n" % (vert.co[0],vert.co[1],vert.co[2]))
+ else:
+ file.write("%f,%f,%f,\n" % (vert.co[0],vert.co[1],vert.co[2]))
+ # Write Polygons
+ file.write("unsigned int %s_polygons[]={\n" % ob.getName())
+ for face in mesh.faces:
+ file.write("%d," % len(face.verts))
+ for vert in face.verts:
+ file.write("%d," % vert.index)
+ if face.index==(len(mesh.faces)-1):
+ file.write("\n};\n");
+ else:
+ file.write("\n");
+ # Write Planes
+ file.write("dReal %s_planes[]={\n" % ob.getName())
+ for face in mesh.faces:
+ # d calculated separatelly for code readability
+ d = face.no[0]*face.verts[0].co[0]+face.no[1]*face.verts[0].co[1]+face.no[2]*face.verts[0].co[2]
+ file.write("%f,%f,%f,%f,\n" % (face.no[0],face.no[1],face.no[2],d))
+ file.write("};\n");
+
+# Entry Point
+sce = bpy.data.scenes.active
+in_editmode = Blender.Window.EditMode()
+if in_editmode: Blender.Window.EditMode(0)
+file = open("convex.h",mode='wt')
+for ob in sce.objects:
+ if ob.getType()=='Mesh':
+ WriteMesh(file,ob)
+file.close()
+if in_editmode:
+ Blender.Window.EditMode(1)
+print "ODE Export Done" \ No newline at end of file
diff --git a/libs/ode-0.16.1/tools/src-release.sh b/libs/ode-0.16.1/tools/src-release.sh
new file mode 100644
index 0000000..c3c62d9
--- /dev/null
+++ b/libs/ode-0.16.1/tools/src-release.sh
@@ -0,0 +1,117 @@
+#!/bin/sh
+###################################################################
+# ODE Source Code Release Script
+# Originally written by Jason Perkins (starkos@gmail.com)
+#
+# See README.txt in this directory for complete release
+# instructions before running this script.
+#
+# Prerequisites:
+# Command-line svn installed on path
+# Command-line zip installed on path
+# Command-line doxygen installed on path
+# Autotools support installed
+# Run from a Posix-like shell (Linux, OS X, Cygwin)
+###################################################################
+
+# Check arguments
+if [ $# -ne 1 ]; then
+ echo 1>&2 "Usage: $0 version_number"
+ exit 1
+fi
+
+
+###################################################################
+# Pre-build checklist
+###################################################################
+
+echo ""
+echo "STARTING PREBUILD CHECKLIST, PRESS ^C TO ABORT."
+echo ""
+echo "Is the version number '$1' correct?"
+read line
+echo ""
+echo "Have you created a release branch named '$1' in SVN?"
+read line
+echo ""
+echo Are 'svn', 'zip', and 'doxygen' on the path?
+read line
+echo ""
+echo "Okay, ready to build the source code package for version $1!"
+read line
+
+
+###################################################################
+# Retrieve source code
+###################################################################
+
+echo ""
+echo "RETRIEVING SOURCE CODE FROM REPOSITORY..."
+echo ""
+
+svn export https://opende.svn.sourceforge.net/svnroot/opende/branches/$1 ode-$1
+
+
+###################################################################
+# Prepare source code
+###################################################################
+
+echo ""
+echo "PREPARING SOURCE TREE..."
+echo ""
+
+cd ode-$1
+chmod 755 autogen.sh
+./autogen.sh
+rm -rf autom4te.cache
+
+cp build/config-default.h include/ode/config.h
+
+cd ode/doc
+doxygen
+
+cd ../../..
+
+
+###################################################################
+# Package source code
+###################################################################
+
+echo ""
+echo "PACKAGING SOURCE CODE..."
+echo ""
+
+zip -r9 ode-src-$1.zip ode-$1/*
+
+
+###################################################################
+# Clean up
+###################################################################
+
+echo ""
+echo "CLEANING UP..."
+echo ""
+
+rm -rf ode-$1
+
+
+#####################################################################
+# Send the files to SourceForge
+#####################################################################
+
+echo ""
+echo "Upload packages to SourceForge?"
+read line
+if [ $line = "y" ]; then
+ echo "Uploading to SourceForge..."
+
+ echo "user anonymous starkos" > ftp.txt
+ echo "cd incoming" >> ftp.txt
+ echo "bin" >> ftp.txt
+ echo "put ode-src-$1.zip" >> ftp.txt
+ echo "quit" >> ftp.txt
+
+ ftp -n upload.sourceforge.net < ftp.txt
+
+ rm -f ftp.txt
+fi